﻿var flickrApp = flickrApp || {};

WinJS.Namespace.define("FlickrFeed", { Pictures: new WinJS.Binding.List() });

flickrApp.Source = "http://api.flickr.com/services/feeds/photos_public.gne" + 
                   "?tagmode=any&format=json&nojsoncallback=1&tags='{0}'";

flickrApp.init = function () {
    document.getElementById("buttonSearch").addEventListener("click", flickrApp.searchClick);
    document.getElementById("buttonClear").addEventListener("click", flickrApp.clearClick);
}

flickrApp.searchClick = function () {
    var tags = document.getElementById("subject").value;
    flickrApp.download(tags);
}

flickrApp.clearClick = function () {
    flickrApp.clear();
}

flickrApp.download = function (tags) {
    // Add tags to the Flickr URL
    var url = flickrApp.Source.format(tags);

    // Clear existing photos (if any)
    flickrApp.clear();

    // Get photos
    WinJS.xhr({ url: url }).then(
        function (response) {
            flickrApp.parseFeed(response.responseText);
        },
        function (response) {
            var message = "Error downloading photos.";
            if (response.message != null)
                message += response.message;
            flickrApp.alert(message);
        }
    );
}

flickrApp.clear = function () {
    FlickrFeed.Pictures.splice(0, FlickrFeed.Pictures.length);
}

flickrApp.parseFeed = function (json) {
    var amendedText = json.doubleEscapeSingleQuotes();
    var pictures = JSON.parse(amendedText);
    for (var i = 0; i < pictures.items.length; i++) {
        var pictureElement = {};
        pictureElement.title = pictures.items[i].title;
        pictureElement.link = pictures.items[i].link;
        pictureElement.author = pictures.items[i].author;
        pictureElement.photoUrl = pictures.items[i].media.m;
        pictureElement.dateTaken = pictures.items[i].date_taken;

        FlickrFeed.Pictures.push(pictureElement);
    }
}

flickrApp.alert = function (message) {
    var alertDialog = new Windows.UI.Popups.MessageDialog(message);
    alertDialog.showAsync();
}