﻿var GalleryApp = GalleryApp || {};

var Photo = WinJS.Class.define(function (img, title) {
    var that = {};
    that.imageUrl = img;
    that.title = title;
    return that;
});

var Gallery = WinJS.Class.define(function (arrayOfPhotos) {
    var that = {};
    that.photos = new WinJS.Binding.List(arrayOfPhotos);
    return that;
});

GalleryApp.alert = function (message) {
    var alertDialog = new Windows.UI.Popups.MessageDialog(message);
    alertDialog.showAsync();
};

GalleryApp.init = function () {
    var photos = [
        new Photo("images/data/german-sheperd.png", "German sheperd"),
        new Photo("images/data/tiger.png", "Just bigger than a cat"),
        new Photo("images/data/lion.png", "Just hairier than a cat"),
        new Photo("images/data/leopard.png", "Running as a leopard"),
        new Photo("images/data/dane.png", "Hungry from Denmark")
    ];
    GalleryApp.Gallery = new Gallery(photos);
    var flipView = document.getElementById("gallery").winControl;
    
    flipView.itemDataSource = GalleryApp.Gallery.photos.dataSource;
    flipView.itemTemplate = document.getElementById("gallery-template");  

    var startIndex = WinJS.Application.sessionState.currentPhotoIndex;
    flipView.currentPage = startIndex;
};

GalleryApp.getCurrentPhotoIndex = function () {
    return document.getElementById("gallery").winControl.currentPage;
};

GalleryApp.showDetails = function () {
    var currentIndex = GalleryApp.getCurrentPhotoIndex();
    var photo = GalleryApp.Gallery.photos.getAt(currentIndex);
    WinJS.Navigation.navigate("/pages/details/details.html", photo);
};

GalleryApp.DetailsPageModel = {};

GalleryApp.zoomImage = function () {
    var container = document.getElementById("zoomable-image-container");
    var slider = document.getElementById("zoom-slider");
    var w = container.clientWidth;
    var h = container.clientHeight;

    var img = document.getElementById("zoomable-image");
    var zoom = slider.value;

    var offset = ((w * zoom) - w) / 2;
    img.style.zoom = zoom;

    container.scrollLeft = offset;
    container.scrollTop = offset;
    var level = document.getElementById("zoom-level");
    level.innerHTML = zoom;
}