﻿
(function () {
    "use strict";

    WinJS.Binding.optimizeBindingReferences = true;

    var app = WinJS.Application;
    var activation = Windows.ApplicationModel.Activation;

    app.onactivated = function (args) {
        if (args.detail.kind === activation.ActivationKind.launch) {
            if (args.detail.previousExecutionState !== activation.ApplicationExecutionState.terminated) {
                // Load application state if needed
            } else {
                // Restore application state here.
            }
            args.setPromise(WinJS.UI.processAll().then(init()));
        }
    };

    app.oncheckpoint = function (args) {
        // TODO: This application is about to be suspended. Save any state
        // that needs to persist across suspensions here. You might use the
        // WinJS.Application.sessionState object, which is automatically
        // saved and restored across suspension. If you need to complete an
        // asynchronous operation before your application is suspended, call
        // args.setPromise().
    };

    app.start();

})();


// Button functions 
function doClickAdd() {
    var alertDialog = new Windows.UI.Popups.MessageDialog("Add button clicked!");
    alertDialog.showAsync();
}

function init() {
    var page = WinJS.UI.Pages.define("default.html", {
        ready: function (element, options) {
            document.getElementById("cmdAdd").addEventListener("click", doClickAdd, false);
        }
    });
}
