﻿var rssReaderApp = rssReaderApp || {};

WinJS.Namespace.define("RssReader", { Items: new WinJS.Binding.List() });

//rssReaderApp.Feed = "http://feeds2.feedburner.com/wrongurltocall";
//rssReaderApp.Feed = "http://feeds2.feedburner.com/Tennis-AtpWorldTourHeadlineNews";
rssReaderApp.Feed = "http://news.google.com/news?pz=1&cf=all&ned=us&hl=en&topic=tc&output=rss";

rssReaderApp.init = function () {
    var listview = document.getElementById("newslist");
    listview.addEventListener("iteminvoked", rssReaderApp.preview);

    // Simplest call
    //WinJS.xhr({ url: rssReaderApp.Feed }).then(function (response) {
    //    rssReaderApp.parseFeed(response);
    //}); 

    // Using an error handler
    WinJS.xhr({ url: rssReaderApp.Feed }).then(
        function (response) {
            rssReaderApp.parseFeed(response);
        },
        function (error) {
            rssReaderApp.alert("A download error occurred.");
        }
    );

    // Using a timeout
    //WinJS.Promise.timeout(3, 
    //  WinJS.xhr({ url: rssReaderApp.Feed }).then(
    //     function (response) { 
    //         // Process response
    //     },
    //     function (error) {
    //         rssReaderApp.alert(error.message);
    //     })
    //);

}

rssReaderApp.parseFeed = function (response) {
    if (response.responseXML == null) {
        rssReaderApp.alert("Invalid data");
        return;
    }
    var items = response.responseXML.querySelectorAll("rss > channel > item");
    for (var n = 0; n < items.length; n++) {
        var newsElement = {};
        newsElement.title = items[n].querySelector("title").textContent;
        newsElement.link = items[n].querySelector("link").textContent;
        newsElement.guid = items[n].querySelector("guid").textContent;
        newsElement.pubDate = items[n].querySelector("pubDate").textContent;
        newsElement.description = items[n].querySelector("description").textContent;

        // Check category
        var category = "[No category]";
        if (items[n].querySelector("category") != null)
            category = items[n].querySelector("category").textContent;
        newsElement.category = category;

        RssReader.Items.push(newsElement);
    }
}

rssReaderApp.preview = function (e) {
    var index = e.detail.itemIndex;
    var currentArticle = RssReader.Items.getAt(index);
    var amended = currentArticle.description;
    amended = amended.replace("src=" + '"//', "src=" + '"http://');

    document.getElementById("titleDetail").innerHTML = currentArticle.title;
    document.getElementById("pubDateDetail").innerHTML = currentArticle.pubDate;
    document.getElementById("categoryDetail").innerHTML = currentArticle.category;
    document.getElementById("descriptionDetail").innerHTML = amended;
}

rssReaderApp.alert = function (message) {
    var alertDialog = new Windows.UI.Popups.MessageDialog(message);
    alertDialog.showAsync();
}