﻿(function () {
    "use strict";

    WinJS.Binding.optimizeBindingReferences = true;

    var app = WinJS.Application;
    var activation = Windows.ApplicationModel.Activation;

    app.onactivated = function (args) {
        if (args.detail.kind === activation.ActivationKind.launch) {
            if (args.detail.previousExecutionState !== activation.ApplicationExecutionState.terminated) {
            } else {
            }
            args.setPromise(WinJS.UI.processAll()); //.then(TodoList.init()));
        }
    };

    app.onsettings = function (e) {
        e.detail.applicationcommands = {
            "about": {
                href: "/pages/about.html",
                title: "About"
            },
            "privacy": {
                href: "/pages/privacy.html",
                title: "Privacy"
            },
            "settings": {
                href: "/pages/Settings.html",
                title: "Settings"
            }
        }
        WinJS.UI.SettingsFlyout.populateSettings(e);
    };

    app.oncheckpoint = function (args) {
    };

    app.onready = function (args) {
        TodoList.init();
    };

    app.start();
})();


