﻿var liveTilesManager = liveTilesManager || {};

liveTilesManager.enable = function (listOfTasks) {

    // Prepare template for LARGE tile
    var templateLarge = Windows.UI.Notifications.TileTemplateType.tileWideText01;
    var xmlLarge = Windows.UI.Notifications.TileUpdateManager.getTemplateContent(templateLarge);
    var textElementsLarge = xmlLarge.getElementsByTagName("text");

    // Prepare template for SMALL tile
    var templateSmall = Windows.UI.Notifications.TileTemplateType.tileSquareText02;
    var xmlSmall = Windows.UI.Notifications.TileUpdateManager.getTemplateContent(templateSmall);
    var textElementsSmall = xmlSmall.getElementsByTagName("text");

    // Grab application's information for the tile(s) to display  
    var featuredTask = listOfTasks.getAt(0);

    // Add data to the tile(s)
    textElementsLarge[0].innerText = "TO DO";  
    textElementsLarge[1].innerText = featuredTask.description;  
    textElementsLarge[2].innerText = "";
    textElementsLarge[3].innerText = "due by   " + featuredTask.dueDate.toLocaleDateString();
    
    textElementsSmall[0].innerText = liveTilesManager.getDueDateCompact(featuredTask);
    textElementsSmall[1].innerText = featuredTask.description;

    // Combine together small and large templates
    var node = xmlLarge.importNode(xmlSmall.getElementsByTagName("binding").item(0), true);
    xmlLarge.getElementsByTagName("visual").item(0).appendChild(node);

    // Create the notification object
    var tileNotification = new Windows.UI.Notifications.TileNotification(xmlLarge);
    Windows.UI.Notifications.TileUpdateManager.createTileUpdaterForApplication().update(tileNotification);
};


liveTilesManager.getDueDateCompact = function (task) {
    var date = task.dueDate;
    var day = date.getDate();
    var month = date.getMonth();
    month++;
    var year = date.getFullYear();
    var x = month + "/" + day + "/" + year;
    return x;
}

